import { SimpleLocalIntegration } from '../../core/index.js';
import { VlcTelnetConfigFlow } from './vlc_telnet.classes.configflow.js';
import { createVlcTelnetDiscoveryDescriptor } from './vlc_telnet.discovery.js';
import type { IVlcTelnetConfig } from './vlc_telnet.types.js';
import { vlcTelnetDomain, vlcTelnetProfile } from './vlc_telnet.types.js';

export class VlcTelnetIntegration extends SimpleLocalIntegration<IVlcTelnetConfig> {
  public readonly domain = vlcTelnetDomain;
  public readonly discoveryDescriptor = createVlcTelnetDiscoveryDescriptor();
  public readonly configFlow = new VlcTelnetConfigFlow();

  constructor() {
    super(vlcTelnetProfile);
  }
}

export class HomeAssistantVlcTelnetIntegration extends VlcTelnetIntegration {}
